package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.SJZD;
import com.sinosig.core.module.filter.SJZDSearchContext;

/**
 * 实体[SJZD] 服务对象接口
 */

public interface ISJZDService{
     boolean update(SJZD sjzd) ;
     boolean remove(String sjzdid) ;
     SJZD getDraft(SJZD sjzd) ;
     SJZD get(String sjzdid) ;
     SJZD get(SJZD sjzd) ;
     boolean checkKey(SJZD sjzd) ;
     boolean create(SJZD sjzd) ;
     boolean save(SJZD sjzd) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<SJZD> searchDefault(SJZDSearchContext context) ;

}
